Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class ResourceLifecycle

    java.lang.Object
      javax.faces.lifecycle.Lifecycle
          org.ajax4jsf.resource.ResourceLifecycle

    public class ResourceLifecycle

extends javax.faces.lifecycle.Lifecycle

Lifecycle for simulate faces request processing for resource.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:56:56 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Constructor Summary
`ResourceLifecycle()`

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener arg0)`
`void` | `execute(javax.faces.context.FacesContext arg0)`
`protected javax.faces.lifecycle.Lifecycle` | `getFacesLifecycle()`
`javax.faces.event.PhaseListener[]` | `getPhaseListeners()`
`void` | `removePhaseListener(javax.faces.event.PhaseListener arg0)`
`void` | `render(javax.faces.context.FacesContext arg0)`
`void` | `send(org.ajax4jsf.resource.ResourceContext resourceContext, org.ajax4jsf.resource.InternetResource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceLifecycle

    public ResourceLifecycle()

Method Detail

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener arg0)

  Specified by:
    `addPhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### execute

    public void execute(javax.faces.context.FacesContext arg0)
                 throws javax.faces.FacesException

  Specified by:
    `execute` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### getPhaseListeners

    public javax.faces.event.PhaseListener[] getPhaseListeners()

  Specified by:
    `getPhaseListeners` in class `javax.faces.lifecycle.Lifecycle`

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener arg0)

  Specified by:
    `removePhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### render

    public void render(javax.faces.context.FacesContext arg0)
                throws javax.faces.FacesException

  Specified by:
    `render` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### send

    public void send(org.ajax4jsf.resource.ResourceContext resourceContext,
                     org.ajax4jsf.resource.InternetResource resource)
              throws java.io.IOException

  Parameters:
    `context` -
    `resource` -
  Throws:
    `java.io.IOException`

### getFacesLifecycle

    protected javax.faces.lifecycle.Lifecycle getFacesLifecycle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.